Bug 1498041 - Add highcontrast-qt to comps file for release
Summary: Add highcontrast-qt to comps file for release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1479347
TreeView+ depends on / blocked
 
Reported: 2017-10-03 11:34 UTC by Eng Ops Maitai User
Modified: 2018-04-10 10:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 10:15:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 None None None 2018-04-10 10:17:00 UTC

Comment 8 Lubos Kocman 2018-02-28 17:53:07 UTC
Checking

lkocman@rcm-dev:qgnomeplatform> locate-rhel7-rpms qgnomeplatform | grep -v debuginfo
Searching in /mnt/redhat/nightly/latest-RHEL-7/
Client/x86_64/os/Packages/qgnomeplatform-0.3-3.el7.i686.rpm
Client/source/tree/Packages/qgnomeplatform-0.3-3.el7.src.rpm
Client/x86_64/os/Packages/qgnomeplatform-0.3-3.el7.x86_64.rpm
Server/ppc64/os/Packages/qgnomeplatform-0.3-3.el7.ppc.rpm
Server/ppc64/os/Packages/qgnomeplatform-0.3-3.el7.ppc64.rpm
Server/source/tree/Packages/qgnomeplatform-0.3-3.el7.src.rpm
Server/ppc64le/os/Packages/qgnomeplatform-0.3-3.el7.ppc64le.rpm
Server/source/tree/Packages/qgnomeplatform-0.3-3.el7.src.rpm
Server/s390x/os/Packages/qgnomeplatform-0.3-3.el7.s390.rpm
Server/s390x/os/Packages/qgnomeplatform-0.3-3.el7.s390x.rpm
Server/source/tree/Packages/qgnomeplatform-0.3-3.el7.src.rpm
Server/x86_64/os/Packages/qgnomeplatform-0.3-3.el7.i686.rpm
Server/source/tree/Packages/qgnomeplatform-0.3-3.el7.src.rpm
Server/x86_64/os/Packages/qgnomeplatform-0.3-3.el7.x86_64.rpm
Workstation/x86_64/os/Packages/qgnomeplatform-0.3-3.el7.i686.rpm
Workstation/source/tree/Packages/qgnomeplatform-0.3-3.el7.src.rpm
Workstation/x86_64/os/Packages/qgnomeplatform-0.3-3.el7.x86_64.rpm
Searching in /mnt/redhat/nightly/latest-Supp-7-RHEL-7/

Seems like qgnomeplatform is on main variants (except of ComputeNode) all arches

lkocman@rcm-dev:qgnomeplatform> locate-rhel7-rpms  highcontrast-qt  | grep -v optional | grep -v src | grep -v debuginfo
Searching in /mnt/redhat/nightly/latest-RHEL-7/
Client/x86_64/os/Packages/highcontrast-qt5-0.1-2.el7.i686.rpm
Client/x86_64/os/Packages/highcontrast-qt5-0.1-2.el7.x86_64.rpm
Server/ppc64/os/Packages/highcontrast-qt5-0.1-2.el7.ppc.rpm
Server/ppc64/os/Packages/highcontrast-qt5-0.1-2.el7.ppc64.rpm
Server/ppc64le/os/Packages/highcontrast-qt5-0.1-2.el7.ppc64le.rpm
Server/s390x/os/Packages/highcontrast-qt5-0.1-2.el7.s390.rpm
Server/s390x/os/Packages/highcontrast-qt5-0.1-2.el7.s390x.rpm
Server/x86_64/os/Packages/highcontrast-qt5-0.1-2.el7.i686.rpm
Server/x86_64/os/Packages/highcontrast-qt5-0.1-2.el7.x86_64.rpm
Workstation/x86_64/os/Packages/highcontrast-qt5-0.1-2.el7.i686.rpm
Workstation/x86_64/os/Packages/highcontrast-qt5-0.1-2.el7.x86_64.rpm
Searching in /mnt/redhat/nightly/latest-Supp-7-RHEL-7/

Requires are set in this way
Requires:       highcontrast-qt5%{?_isa}


And in this way qgnomeplatform and highcontrast-qt seem to be equal. Moving back to ON_QA

Comment 10 Lubos Kocman 2018-02-28 18:00:19 UTC
Hello Jan, as an owner of qt advisory, I expect that we're interested only in highcontrast-qt5 right? 

-qt and -qt4 subpackages ended up in optional since nothing explicitly requires them.

Comment 11 Jan Grulich 2018-03-01 14:54:14 UTC
We are interested only in highcontrast-qt5, which should be pulled in by qgnomeplatform. For -qt4 version we don't have support in Qt4 which would use it automatically so it can be used only when specified explicitly and nobody probably does that and -qt subpackage is just a metapackage requiring both -qt4 and -qt5 subpackages.

Comment 15 errata-xmlrpc 2018-04-10 10:15:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0700


Note You need to log in before you can comment on or make changes to this bug.